Subject: [Sip] Final bis-07 nits

From: "John Hearty" <[email-masked]>
Date: Sun, 17 Feb 2002 23:13:46 -0700

These are probabally too late for bis-08, but here they are.  I included my 
previous lists of bis-07 nits for a full reference.

>1. Line 333 begins: "SIP does not provide services."  Line 343 goes on to 
>state "The nature of the services provided by SIP...", looks like the 
>latter sentence needs to be wordsmithed.
>
>2. Max-Forwards brief description is needed after line 406.
>
>3. Line 429, 430 and 434 reference "IP address" included in the Via's, this 
>should be changed to domain, or just "address".
>
>4. Lines 456-458, the Via headers need received= parameters.
>
>5. Line 567, FSM not defined.
>
>6. Line 644, "adress-of-record" should be "address-of-record".
>
>7. Line 980, "this by done" should be "this be done".
>
>8. Line 994, "the domain the right hand side" should be "the domain to the 
>right hand side".
>
>9. Text version text corresponding to line 1093 is missing a period after 
>"100rel" similar to corruption corrected in other sections.
>
>10. Do a global replace on proceedures with procedures.  Multiple 
>occurences throughout doc.
>
>11. Line 1124, "as way to" should be "as a way to".
>
>12. Line 1137, is timeout the ONLY thing the TU will see?  What happens 
>when an ICMP host unreachable is returned?  Does that not get to the TU?  
>Related to this, should line 1170 "or network timeouts" be "or network 
>failures"?  (Reported in bis-06 nits, response was change didn't make it 
>into bis-07, bug opened)
>
>13. Line 1207, reference section missing closing ")".
>
>14. Line 1407, suggest changing "has not yet sent a response" to "has not 
>yet sent a final response".
>
>15. Section 10.1 of the text version has a space before a comma in three 
>places.  PDF version is OK (lines 1481-1483).  Reported this for bis-06, 
>response was this is a text conversion problem, but keep reporting when 
>seen.
>
>16. Line 1645 indicates a registrar SHOULD authenticate the UAC, but 
>section 26.1 does not show this.  Suggestion: if this is not included for 
>brevity reasons, perhaps just a note in section 26.1 indicating 
>authentication should also be done.
>
>17. Lines 1653-1654 are indented in PDF version, but not in txt version.  
>Reported for other sections in bis-06, response was this is a text 
>conversion problem, but keep reporting when seen.  Other instances of this 
>problem: lines 1679-1684, 1691, 2438-2439, 2553-2554, 2581-2584, 2592, 
>2615-2618, 2623, 2628-2630, 2642-2644, 2749-2752, 2769-2774, 2822-2827.
>
>18. Line 1655, "field of request" should be "field of the request".
>
>19. Line 1662, "a Expires" should be "an Expires".
>
>20. Line 1728, Via header not changed to Recommended FQDN.  Noted this for 
>examples in section 26 of bis-06, response is bug entered, I guess this can 
>be added to that.  Problem also seen on line 1762.  Also, if these get 
>changed to FQDNs for responses, remember to also add received= parameter.
>
>21. Line 1780, "a two user agents" should be "two user agents".
>
>22. Line 1861, is this open issue considered resolved?  Delete line if so.
>
>23. Line 1888, "MUST a Route header" should be "MUST include a Route 
>header".
>
>24. Line 1918, "recieves" should be "receives".
>
>25. Line 1920, "for the a request" should be "for a request".
>
>26. Sections 13.2.1 and 13.3.1.4 indicate Allow and Supported headers 
>SHOULD be present in an Invite and 2xx, respectively, but the example in 
>26.2 does not contain these.  If these are added, the example would no 
>longer have the minimum set described in section 4 which references section 
>26.2.  Suggestion: if headers are added, include a small note explaining 
>the difference with section 4.  Otherwise, include a note that the headers 
>normally SHOULD be included.
>
>27. Line 2035, "send" should be "sent".
>
>28. Line 2037, "this means the a UAS" should be "this means a UAS".
>
>29. The text version has indented text corresponding to PDF version lines 
>2270-2272 which is not indented.  Reported same problem in bis-06, response 
>was this is a text conversion problem, but keep reporting when seen.  Same 
>problem for lines 2296-2298.
>
>30. The text in section 16.2 of the text version corresponding with lines 
>2394-2397 has the formatting corrupted, with ".IP" stuffed in three times.
>
>31. Line 2416 has "a request." which is missing in corresponding text 
>version section 16.3.
>
>32. Figure 3 on page 63 of PDF version has no title identifying it.  OK in 
>txt version.
>
>33. Lines 2438-2439, not sure if this note should be included when this 
>becomes an RFC.
>
>34. Line 2464, bad section reference.
>
>35. Line 2604, "unless it known" should be "unless it is known".
>
>36. Line 2856, "to to" should be "to".
>
>37. Line 2889, what is the point of resetting timer C when it expires?  
>Expiring timers normally invoke some action other than simply resetting the 
>timer.
>
>38. Lines 2968-2973 have both bullets and step numbers.
>
>39. Line 3058, "U1 receives" should be "U1 sends"
>
>40. Line 3061, "P1 its location service" should be "P1 uses its location 
>service".
>
>41. The sentence in 3222-3223 is saying the same thing as the sentence in 
>3225-3226.  Seggest the first be deleted (the latter includes explanatory 
>text following it).
>
>42. Lines 3230-3231, "that that" should be "that".
>
>43. Lines 3290-3291 states "As with client transactions, this is needed to 
>ensure reliability of the 2xx responses to INVITE."  But this section is 
>discussing non-INVITE Client Transaction.
>
>44. Line 3301-3302 states "A response which matches a transaction matched 
>by a previous response is considered a retransmission of that response."  
>This would seem to be false when considering provisionals then a final 
>response received.
>
>45. Section 17.2.1 Figure 7 title is too low, overwriting the page footer.
>Same for figure 8 under section 17.2.2.  Reported for bis-06, bug opened.
>
>46. Figure 8 in the txt version has it's title wrapped to the first line of 
>the next page.

47. Line 3396, "header field the request" should be "header field of the 
request".

48. Line 3391, "the the" should be "the".

49. Section 18.1 and 18.2 in the text version has missing/corrupted text 
after "100rel" in several places.

50. Line 3565, it is not clear why square braces are needed here.

51. Line 3634, suggest "rejected" be replaced with "discarded" or "ignored", 
as rejected implies some action to the sender of the response.

52. Line 3696, sentence starts out singular, becomes plural at end of line.  
Suggest changing "A host" to Host".

53. Line 3890 in PDF has section 20.4.0.1, txt version correctly shows 
20.4.1.

54. Line 3894, "that the" should be "the".

55. Line 3942, "limitated" should be "limited".

56. Line 4036 text "’SMIMECapabilities’ attribute." is missing in the txt 
version.

57. Line 4405 text "an S/MIME certificates," not clear if this should be 
singular or plural.

58. Line 4641 text "These tokens, and some of the tokens in their 
expansions," missing in the txt version.

59. Lines 4677-4681 and 4697-4700 are indented in PDF, not in txt.

60. Line 4771 missing a leading dash.

61. Line 4776 has bad section link.

62. Section 24.22, since Max-Forwards is now a mandatory header and rather 
long, it should get a compact form defined at some point.

63. Line 5301, I believe the section 13 reference should be 16.

64. Line 5342, not clear section 13 reference is correct.

65. Line 5595 reference to section 3 is incorrect.

66. Section 26.2 needs received parm added to Via headers of forwarded 
messages with FQDNs.

John Hearty
Level3

_________________________________________________________________
Chat with friends online, try MSN Messenger: http://messenger.msn.com

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Robert Sparks <[email-masked]>
Date: Mon, 18 Feb 2002 00:16:54 -0600

Gaah!
No - not too late. I'm on 'em...

RjS

John Hearty wrote:

> These are probabally too late for bis-08, but here they are.  I included 
> my previous lists of bis-07 nits for a full reference.
> 
> 
>> 1. Line 333 begins: "SIP does not provide services."  Line 343 goes on 
>> to state "The nature of the services provided by SIP...", looks like 
>> the latter sentence needs to be wordsmithed.
>>
>> 3. Line 429, 430 and 434 reference "IP address" included in the Via's, 
>> this should be changed to domain, or just "address".
>>
>> 8. Line 994, "the domain the right hand side" should be "the domain to 
>> the right hand side".
>>
>> 9. Text version text corresponding to line 1093 is missing a period 
>> after "100rel" similar to corruption corrected in other sections.
>>
>> 12. Line 1137, is timeout the ONLY thing the TU will see?  What 
>> happens when an ICMP host unreachable is returned?  Does that not get 
>> to the TU?  Related to this, should line 1170 "or network timeouts" be 
>> "or network failures"?  (Reported in bis-06 nits, response was change 
>> didn't make it into bis-07, bug opened)
>>
>> 14. Line 1407, suggest changing "has not yet sent a response" to "has 
>> not yet sent a final response".
>>
>> 15. Section 10.1 of the text version has a space before a comma in 
>> three places.  PDF version is OK (lines 1481-1483).  Reported this for 
>> bis-06, response was this is a text conversion problem, but keep 
>> reporting when seen.
>>
>> section 26.1 does not show this.  Suggestion: if this is not included 
>> for brevity reasons, perhaps just a note in section 26.1 indicating 
>> 17. Lines 1653-1654 are indented in PDF version, but not in txt 
>> version.  Reported for other sections in bis-06, response was this is 
>> a text conversion problem, but keep reporting when seen.  Other 
>> instances of this problem: lines 1679-1684, 1691, 2438-2439, 
>> 2553-2554, 2581-2584, 2592, 2615-2618, 2623, 2628-2630, 2642-2644, 
>> 2749-2752, 2769-2774, 2822-2827.
>>
>> 20. Line 1728, Via header not changed to Recommended FQDN.  Noted this 
>> for examples in section 26 of bis-06, response is bug entered, I guess 
>> this can be added to that.  Problem also seen on line 1762.  Also, if 
>> these get changed to FQDNs for responses, remember to also add 
>> received= parameter.
>>
>> SHOULD be present in an Invite and 2xx, respectively, but the example 
>> in 26.2 does not contain these.  If these are added, the example would 
>> no longer have the minimum set described in section 4 which references 
>> section 26.2.  Suggestion: if headers are added, include a small note 
>> explaining the difference with section 4.  Otherwise, include a note 
>> that the headers normally SHOULD be included.
>>
>> 29. The text version has indented text corresponding to PDF version 
>> lines 2270-2272 which is not indented.  Reported same problem in 
>> bis-06, response was this is a text conversion problem, but keep 
>> reporting when seen.  Same problem for lines 2296-2298.
>>
>> 30. The text in section 16.2 of the text version corresponding with 
>> lines 2394-2397 has the formatting corrupted, with ".IP" stuffed in 
>> three times.
>>
>> 32. Figure 3 on page 63 of PDF version has no title identifying it.  
>> OK in txt version.
>>
>> 33. Lines 2438-2439, not sure if this note should be included when 
>> this becomes an RFC.
>>
>> 37. Line 2889, what is the point of resetting timer C when it 
>> expires?  Expiring timers normally invoke some action other than 
>> simply resetting the timer.
>>
>> 40. Line 3061, "P1 its location service" should be "P1 uses its 
>> location service".
>>
>> 41. The sentence in 3222-3223 is saying the same thing as the sentence 
>> in 3225-3226.  Seggest the first be deleted (the latter includes 
>> explanatory text following it).
>>
>> 43. Lines 3290-3291 states "As with client transactions, this is 
>> needed to ensure reliability of the 2xx responses to INVITE."  But 
>> this section is discussing non-INVITE Client Transaction.
>>
>> 44. Line 3301-3302 states "A response which matches a transaction 
>> matched by a previous response is considered a retransmission of that 
>> response."  This would seem to be false when considering provisionals 
>> then a final response received.
>>
>> 46. Figure 8 in the txt version has it's title wrapped to the first 
>> line of the next page.
> 
> 
> 51. Line 3634, suggest "rejected" be replaced with "discarded" or 
> "ignored", as rejected implies some action to the sender of the response.
> 
> 52. Line 3696, sentence starts out singular, becomes plural at end of 
> line.  Suggest changing "A host" to Host".
> 
> 56. Line 4036 text "'SMIMECapabilities' attribute." is missing in the 
> txt version.
> 
> 62. Section 24.22, since Max-Forwards is now a mandatory header and 
> rather long, it should get a compact form defined at some point.
>

---

From: Robert Sparks <[email-masked]>
Date: Mon, 18 Feb 2002 00:49:35 -0600

Done - two comments below.

RjS

> my previous lists of bis-07 nits for a full reference.

(trimmed to the new nits)
> 47. Line 3396, "header field the request" should be "header field of the 

YM 3386 :P - got it.

> rather long, it should get a compact form defined at some point.

Deployed things wouldn't understand the compact form. Bad things would happen.